kws_seg_s Struct Reference

Segmentation "iterator" for KWS history. More...

`#include <kws_search.h>`

## Data Fields

ps_seg_t | base
| Base structure.
gnode_t * | detection
| Keyphrase detection correspondent to segment.
frame_idx_t | last_frame
| Last frame to raise the detection.

## Detailed Description

Segmentation "iterator" for KWS history.

Definition at line 54 of file kws_search.h.

## Field Documentation

## base

ps_seg_t kws_seg_s::base

Base structure.

Definition at line 55 of file kws_search.h.

## detection

gnode_t* kws_seg_s::detection

Keyphrase detection correspondent to segment.

Definition at line 56 of file kws_search.h.

## last_frame

frame_idx_t kws_seg_s::last_frame

Last frame to raise the detection.

Definition at line 57 of file kws_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/kws_search.h